﻿using System;
using System.Drawing;
using System.Windows.Forms;


namespace WindowsFormsApplication1
{
    public partial class Iserv : Form
    {
        private delegate void SetTextCallback(string text);

        private readonly Document wDoc;
        public Iserv(Document d)
        {
            InitializeComponent();
            wDoc = d;

        }
        public void SetUtt(string utt)
        {

            if (ttr.InvokeRequired)
            {
                SetTextCallback d = new SetTextCallback(SetUtt);
                Invoke(d, new object[] { utt });
            }
            else
            {
                ttr.Text = utt;
            }


        }

        private void Iserv_FormClosing(object sender, FormClosingEventArgs e)
        {
            wDoc.GcCloseF();
        }

        private void Button_enlarge_Click(object sender, EventArgs e)
        {
            if (ttr.Font.Size < 100)
            {
                ttr.Font = new Font(ttr.Font.FontFamily, ttr.Font.Size + 5);
            }
        }

        private void Button_reduce_Click(object sender, EventArgs e)
        {
            if (ttr.Font.Size > 10)
            {
                ttr.Font = new Font(ttr.Font.FontFamily, ttr.Font.Size - 5);
            }
        }

        private void Button_start_Click(object sender, EventArgs e)
        {
            wDoc.GcNext();
        }

        private void Button_stopp_Click(object sender, EventArgs e)
        {
            wDoc.GcPause();
        }
    }
}
