﻿using System;
using System.ComponentModel;
using System.Text.RegularExpressions;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class ProjectFormNew : Form
    {
        public string WorkName { get; private set; }

        public ProjectFormNew()
        {
            InitializeComponent();
        }

        private void OpenFileDialog1_FileOk(object sender, CancelEventArgs e)
        {

        }

        private void Button_ok_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrEmpty(textBox_name.Text))
            {
                return;
            }
            WorkName = CleanPath(textBox_name.Text);
            if (string.IsNullOrEmpty(WorkName))
            {
                return;
            }
            DialogResult = DialogResult.OK;
            Close();
        }

        private string CleanPath(string s)
        {
            if (string.IsNullOrEmpty(s))
            {
                return s;
            }

            s = Regex.Replace(s, "\\s", "_");
            s = Regex.Replace(s, "[^a-zA-Z0-9ÖÄÜÕöäüõžšŽŠ]", "");
            return s;
        }
    }
}
